%{?mingw_package_header}

Name:           mingw-SDL2
Version:        2.28.5
Release:    2%{?dist}
Summary:        MinGW Windows port of SDL2 cross-platform multimedia library

License:        LGPL-2.0-or-later
URL:            http://www.libsdl.org/
Source0:        http://www.libsdl.org/release/SDL2-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  dos2unix

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++

%ifarch %{ix86}
BuildRequires: nasm
%endif

%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.


%package -n mingw32-SDL2
Summary:        MinGW Windows port of SDL cross-platform multimedia library

%description -n mingw32-SDL2
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.

%package -n mingw32-SDL2-static
Summary:        MinGW Windows port of SDL cross-platform multimedia library
Requires:       mingw32-SDL2 = %{version}-%{release}

%description -n mingw32-SDL2-static
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.

%package -n mingw64-SDL2
Summary:        MinGW Windows port of SDL cross-platform multimedia library

%description -n mingw64-SDL2
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.

%package -n mingw64-SDL2-static
Summary:        MinGW Windows port of SDL cross-platform multimedia library
Requires:       mingw64-SDL2 = %{version}-%{release}

%description -n mingw64-SDL2-static
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n SDL2-%{version}


%build
%mingw_cmake -DSDL_STATIC=ON -DSDL_STATIC_PIC=ON
%mingw_make_build


%install
%mingw_make_install

rm -rf %{buildroot}%{mingw32_datadir}/licenses
rm -rf %{buildroot}%{mingw64_datadir}/licenses


%files -n mingw32-SDL2
%license LICENSE.txt
%{mingw32_bindir}/SDL2.dll
%{mingw32_bindir}/sdl2-config
%{mingw32_libdir}/libSDL2.dll.a
%{mingw32_libdir}/libSDL2main.a
%{mingw32_libdir}/libSDL2_test.a
%{mingw32_libdir}/cmake/SDL2/
%exclude %{mingw32_libdir}/cmake/SDL2/*static*
%{mingw32_libdir}/pkgconfig/sdl2.pc
%{mingw32_datadir}/aclocal/sdl2.m4
%{mingw32_includedir}/SDL2

%files -n mingw32-SDL2-static
%{mingw32_libdir}/libSDL2.a
%{mingw32_libdir}/cmake/SDL2/*static*

%files -n mingw64-SDL2
%license LICENSE.txt
%{mingw64_bindir}/SDL2.dll
%{mingw64_bindir}/sdl2-config
%{mingw64_libdir}/libSDL2.dll.a
%{mingw64_libdir}/libSDL2main.a
%{mingw64_libdir}/libSDL2_test.a
%{mingw64_libdir}/cmake/SDL2/
%exclude %{mingw64_libdir}/cmake/SDL2/*static*
%{mingw64_libdir}/pkgconfig/sdl2.pc
%{mingw64_datadir}/aclocal/sdl2.m4
%{mingw64_includedir}/SDL2

%files -n mingw64-SDL2-static
%{mingw64_libdir}/libSDL2.a
%{mingw64_libdir}/cmake/SDL2/*static*


%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.28.5-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.5-1
- initial build
